angular.module('electricpower', ['ngCordova', 'ionic', 'electricpower.controllers', 'electricpower.services'])

.run(function($ionicPlatform, $rootScope, $cordovaToast) {
   $ionicPlatform.ready(function () {
        	if (window.cordova && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            }
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }
        });
    //双击退出应用
		$ionicPlatform.registerBackButtonAction(function (e) {
           //任何页面双击时都退出
		   if ($rootScope.backButtonPressedOnceToExit) {
                ionic.Platform.exitApp();
           }else{
                $rootScope.backButtonPressedOnceToExit = true;
                $cordovaToast.showShortBottom('再按一次退出系统');
                setTimeout(function () {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 2000);
                }
            e.preventDefault();
            return false;
        }, 101);
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
 	  $ionicConfigProvider.platform.ios.tabs.style('standard');
      $ionicConfigProvider.platform.ios.tabs.position('bottom');
      $ionicConfigProvider.platform.android.tabs.style('standard');
      $ionicConfigProvider.platform.android.tabs.position('standard');
      $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
      $ionicConfigProvider.platform.android.navBar.alignTitle('left');
      $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
      $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');
      $ionicConfigProvider.platform.ios.views.transition('ios');
      $ionicConfigProvider.platform.android.views.transition('android');
			$stateProvider
			
    .state('tab', {
    url: '/tab',
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })
	
	//微信
  .state('tab.wechat', {
  	cache:false,
    url: '/wechat',
    views: {
      'tab-wechat': {
        templateUrl: 'templates/tab-wechat.html',
        controller: 'WechatCtrl'
      }
    }
  })
  
  //重置密码
  .state('uppwd',{
	 cache: false,
 	 url:'/uppwd',
 	 templateUrl:'templates/tab-uppwd.html',
 	 controller:'UppwdController'
  })
   
	//支付宝
  .state('tab.alipay', {
  	  cache:false,
      url: '/alipay',
      views: {
        'tab-alipay': {
          templateUrl: 'templates/tab-alipay.html',
          controller: 'AlipayCtrl'
        }
      }
    })
  
  //短信
   .state('tab.message', {
   	  cache:false,
      url: '/message',
      views: {
        'tab-message': {
          templateUrl: 'templates/tab-message.html',
          controller: 'MessageCtrl'
        }
      }
    })
   
  //登录
  .state('login',{  	
  	cache: false,
	url:'/login',
	templateUrl: 'templates/tab-login.html',
	controller: 'LoginController'
  }) 
   
	//我
  .state('tab.account', {
    url: '/account',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-account.html',
        controller: 'AccountCtrl'
      }
    }
  });

  $urlRouterProvider.otherwise('/tab/wechat');

});
